org.bouncycastle.asn1.pkcs

## Class PBKDF2Params

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.pkcs.PBKDF2Params

All Implemented Interfaces:
  DEREncodable

    public class PBKDF2Params
    extends ASN1Encodable

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`PBKDF2Params(ASN1Sequence seq)`
`PBKDF2Params(byte[] salt, int iterationCount)`

### Method Summary

Methods
`static PBKDF2Params` `getInstance(java.lang.Object obj)`
`java.math.BigInteger` `getIterationCount()`
`java.math.BigInteger` `getKeyLength()`
`byte[]` `getSalt()`
`DERObject` `toASN1Object()`

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PBKDF2Params

    public PBKDF2Params(byte[] salt,
                int iterationCount)

#### PBKDF2Params

    public PBKDF2Params(ASN1Sequence seq)

### Method Detail

#### getInstance

    public static PBKDF2Params getInstance(java.lang.Object obj)

#### getSalt

    public byte[] getSalt()

#### getIterationCount

    public java.math.BigInteger getIterationCount()

#### getKeyLength

    public java.math.BigInteger getKeyLength()

#### toASN1Object

    public DERObject toASN1Object()

Specified by:
  `toASN1Object` in class `ASN1Encodable`